Subject: Re: bug#20140: 24.4; M17n shaper output rejected

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Feb 2022 09:37:03 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 03 Feb 2022 22:21:28 +0100
> Cc: [email-masked]
> 
> Richard Wordingham <[email-masked]> writes:
> 
> > I am running Emacs 24.4 in a Ubuntu 12.04 Precise Pangolin
> > installation, for which the version of libm17n-0 is 1.6.3-1.  I am
> > attempting to induce Emacs to render the Tai Tham script.  There
> > appears to be a bug/feature in Emacs which makes this unnecessarily
> > difficult.
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
> 
> I vaguely remember there having been some fixes in this area since this
> bug report was opened -- does this work better for you in more recent
> versions of Emacs?

The most important change is that we now use HarfBuzz by default.

Richard didn't contribute the Tai Tham composition rules to us
(AFAIR), so I cannot test what happens now in Emacs with HarfBuzz.
Maybe we should revisit this issue, but first I hope Richard could
tell whether the issue still exists, and if so, what composition rules
he uses or suggests to use for Tai Tham.